FILEFRAG(8)

NOM
filefrag - Indiquer la fragmentation des fichiers

SYNOPSIS
filefrag [ -bblocksize ] [ -BeksvxX ] [ fichiers ... ]

DESCRIPTION
filefrag indique dans quelle mesure un fichier donné peut être fragmenté. Il prend en considération les blocs indirects des systèmes de fichiers ext2 et ext3, mais peut également être utilisé sur d'autres systèmes de fichiers.

Le programme filefrag essaie d'abord d'obtenir les informations à l'aide de l'ioctl FIEMAP qui est plus efficace et plus rapide. Si FIEMAP n'est pas pris en charge, alors filefrag utilisera l'ioctl FIBMAP.

OPTIONS

-B  Forcer l'utilisation de l'ancien ioctl FIBMAP plutôt que l'ioctl FIEMAP pour des raisons de test.

-btaille_bloc
    Utiliser taille_bloc octets pour la sortie au lieu de la taille des blocs du système de fichiers. Afin de maintenir la compatibilité avec les versions précédentes de filefrag, si taille_bloc n'est pas précisée, sa valeur par défaut est 1024 octets.

-e  Afficher la sortie dans un format étendu, même pour les fichiers placés en bloc.

-k  Utiliser une taille de blocs de 1024 octets pour la sortie (identique à « -b 1024 »).

-s  Synchroniser le fichier avant de demander son emplacement.

-v  Être bavard lors de l'affichage de la fragmentation des fichiers.

-x  Afficher les correspondances des attributs étendus.

-X  Afficher les numéros de blocs étendus avec des nombres hexadécimaux.

AUTEUR
filefrag a été écrit par Theodore Ts'o <tytso@mit.edu>.

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.